## khtml 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KHtml)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

set(REQUIRED_QT_VERSION "5.3")
find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Widgets Network DBus PrintSupport Xml)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts
find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5JS ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Sonnet ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Wallet ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KHTML
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/khtml_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfigVersion.cmake"
                        SOVERSION 5)

find_package(Perl)
set_package_properties(Perl PROPERTIES
                       URL "http://www.perl.org"
                       TYPE REQUIRED
                       PURPOSE "Required for generating JS bindings for elements"
                      )

if(NOT APPLE)
  find_package(X11)
  set(HAVE_X11 ${X11_FOUND})
endif()

find_package(Phonon4Qt5 4.6.60)
set_package_properties(Phonon4Qt5 PROPERTIES
                      DESCRIPTION "Qt Multimedia Library"
                      URL "http://phonon.kde.org"
                      TYPE REQUIRED
                      PURPOSE "Required for HTML5 multimedia elements"
                     )

find_package(JPEG)
set_package_properties(JPEG PROPERTIES DESCRIPTION "JPEG decoding library"
                       URL "http://www.ijg.org"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying JPEG images"
                      )

find_package(GIF)
set_package_properties(GIF PROPERTIES DESCRIPTION "GIF decoding library"
                       URL "http://sourceforge.net/projects/giflib"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying GIF images"
                      )

find_package(PNG)
set_package_properties(PNG PROPERTIES DESCRIPTION "PNG decoding library"
                       URL "http://www.libpng.org/pub/png"
                       TYPE REQUIRED
                       PURPOSE "Required for decoding and displaying PNG images"
                      )

if(NOT WIN32 AND NOT APPLE AND X11_FOUND)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

add_definitions(-DENABLE_SVG)
add_definitions(-DENABLE_SVG_FONTS)
add_definitions(-DWTF_PLATFORM_QT)

set(KHTML_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(KHTML_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/src)

add_definitions(-DTRANSLATION_DOMAIN=\"khtml5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
if(BUILD_TESTING)
  add_subdirectory(tests)
  add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KHtml")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KHtmlConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KHtmlConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KHtmlTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KHtmlTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/khtml_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

## khtml 5.3.0

=== debian/changelog ===
khtml (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:34:58 +0100

khtml (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Scarlett Clark ]
  * Fix spaces in copyright shortname. 
  * wrap-and-sort 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 20:08:56 +0200

khtml (5.1.0-0ubuntu2) utopic; urgency=medium

  * Confirm symbols on all archs, hopefully get an armhf build for the first
    time

 -- Scott Kitterman <scott@kitterman.com>  Wed, 06 Aug 2014 23:28:09 -0400

khtml (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Fix install file.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 06 Aug 2014 10:54:53 +0200

khtml (5.0.0-0ubuntu2) utopic; urgency=medium

  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 31 Jul 2014 13:41:10 +0200

khtml (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 30 Jul 2014 19:49:17 +0200

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               kinit-dev (>= 5.3.0),
               kio-dev (>= 5.3.0),
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.3.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5bookmarks-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5crash-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5jobwidgets-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5notifications-dev (>= 5.3.0),
               libkf5parts-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5solid-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5wallet-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpng12-dev,
               libqt5x11extras5-dev,
               libssl-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/khtml.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/khtml.git

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: kio-dev,
         libkf5archive-dev,
         libkf5bookmarks-dev,
         libkf5globalaccel-dev,
         libkf5i18n-dev,
         libkf5iconthemes-dev,
         libkf5khtml5 (= ${binary:Version}),
         libkf5kjs-dev,
         libkf5notifications-dev,
         libkf5parts-dev,
         libkf5sonnet-dev,
         libkf5wallet-dev,
         libkf5widgetsaddons-dev,
         libkf5windowsystem-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5-data
Replaces: libkf5khtml5-data
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml5-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libkf5khtml5 (= ${binary:Version}), ${misc:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains debug symbols for khtml.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5khtml5-dbg

override_dh_auto_test:
	xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/portingAids/khtml-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/portingAids/khtml-(.*)\.tar\.xz

## khtml 5.9.0

=== debian/changelog ===
khtml (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 23:21:22 +0200

khtml (5.8.0-0ubuntu2) vivid; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Mar 2015 14:22:57 +0100

khtml (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:47:38 +0100

khtml (5.7.0-0ubuntu3) vivid; urgency=medium

  * Further symbols files updates for arch specific symbols fun

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Feb 2015 19:13:20 +0100

khtml (5.7.0-0ubuntu2) vivid; urgency=medium

  * Update .symbols for ppc64el

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Feb 2015 16:28:50 +0100

khtml (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 17:04:41 +0100

khtml (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 20:24:41 +0100

khtml (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:49:30 +0100

khtml (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:39:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,39 +5,39 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               kinit-dev (>= 5.3.0),
-               kio-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               kinit-dev (>= 5.9.0),
+               kio-dev (>= 5.9.0),
                libgif-dev,
                libjpeg-dev,
-               libkf5archive-dev (>= 5.3.0),
-               libkf5attica-dev (>= 5.3.0),
-               libkf5auth-dev (>= 5.3.0),
-               libkf5bookmarks-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5completion-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5crash-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5globalaccel-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5jobwidgets-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5notifications-dev (>= 5.3.0),
-               libkf5parts-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5solid-dev (>= 5.3.0),
-               libkf5sonnet-dev (>= 5.3.0),
-               libkf5textwidgets-dev (>= 5.3.0),
-               libkf5wallet-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
-               libkf5xmlgui-dev (>= 5.3.0),
+               libkf5archive-dev (>= 5.9.0),
+               libkf5attica-dev (>= 5.9.0),
+               libkf5auth-dev (>= 5.9.0),
+               libkf5bookmarks-dev (>= 5.9.0),
+               libkf5codecs-dev (>= 5.9.0),
+               libkf5completion-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5crash-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5globalaccel-dev (>= 5.9.0),
+               libkf5guiaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5iconthemes-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5jobwidgets-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5notifications-dev (>= 5.9.0),
+               libkf5parts-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5solid-dev (>= 5.9.0),
+               libkf5sonnet-dev (>= 5.9.0),
+               libkf5textwidgets-dev (>= 5.9.0),
+               libkf5wallet-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
+               libkf5xmlgui-dev (>= 5.9.0),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libpng12-dev,
@@ -48,9 +48,10 @@
                xauth,
                xvfb,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/khtml
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/khtml.git
+XS-Testsuite: autopkgtest
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/khtml.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/khtml.git
 
 Package: libkf5khtml-dev

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,4 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5khtml5-dbg
 
-override_dh_auto_test:
-	xvfb-run -a $(overridden_command)
+.PHONY: override_dh_auto_test

## khtml 5.15.0

=== debian/changelog ===
khtml (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport
  * Remove symbols file for backport only. 

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:49:12 +0100

khtml (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release
  * Updating symbols file

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:18:18 +0100

khtml (5.13.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * new upstream release

  [ José Manuel Santamaría Lema ]
  * Update symbols files.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:08:15 +0200

khtml (5.12.0-0ubuntu2) wily; urgency=medium

  * Adjust .symbols for slightly changed symbol leaks from g++ 5, and drop
    JSValue from armhf like in khs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 11:34:32 +0200

khtml (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge, remove unused broken backport.

  [ José Manuel Santamaría Lema ]
  * Update symbols file:
    - Mark as optional the symbols gone after building with GCC 5
    - Add a few new optional symbols only leaked with GCC 5

  [ Scarlett Clark ]
  * Batchpatch symbols files. Removed all MISSING optional symbols. 
  * Vivid backport. 
  * Fix merge again. 
  * Batchpatch symbols file i386. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:30:24 +0200

khtml (5.11.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

  [ Felix Geyer ]
  * Update the symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 14:55:30 +0200

khtml (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 21:09:14 +0200

khtml (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:33 +0200

khtml (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).
  * New upstream release (5.8.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Mar 2015 17:45:44 +0100

khtml (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Update install files.
  * Add acc autopkgtests.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Feb 2015 16:57:08 +0100

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.15.0~),
               libkf5codecs-dev (>= 5.15.0~),
               libkf5globalaccel-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5iconthemes-dev (>= 5.15.0~),
               libkf5kjs-dev (>= 5.15.0~),
               libkf5notifications-dev (>= 5.15.0~),
               libkf5parts-dev (>= 5.15.0~),
               libkf5sonnet-dev (>= 5.15.0~),
               libkf5textwidgets-dev (>= 5.15.0~),
               libkf5wallet-dev (>= 5.15.0~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5windowsystem-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng12-dev,
               libqt5x11extras5-dev (>= 5.4),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/khtml
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/khtml.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/khtml.git

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: kio-dev (>= 5.15.0~),
         libkf5archive-dev (>= 5.15.0~),
         libkf5globalaccel-dev (>= 5.15.0~),
         libkf5i18n-dev (>= 5.15.0~),
         libkf5iconthemes-dev (>= 5.15.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kjs-dev (>= 5.15.0~),
         libkf5notifications-dev (>= 5.15.0~),
         libkf5parts-dev (>= 5.15.0~),
         libkf5sonnet-dev (>= 5.15.0~),
         libkf5wallet-dev (>= 5.15.0~),
         libkf5widgetsaddons-dev (>= 5.15.0~),
         libkf5windowsystem-dev (>= 5.15.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5-data
Replaces: libkf5khtml5-data
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

Package: libkf5khtml5-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libkf5khtml5 (= ${binary:Version}), ${misc:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains debug symbols for khtml.

## khtml 5.18.0

=== debian/changelog ===
khtml (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release
  * Add a new symbol to libkf5khtml5.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:21:23 +0100

khtml (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:59 +0100

khtml (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:12 +0200

khtml (5.15.0-0ubuntu3) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:39 +0100

khtml (5.15.0-0ubuntu2) xenial; urgency=medium

  * No-change rebuild for giflib soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 10:09:29 +0000

khtml (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:39 +0200

khtml (5.13.0-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from build logs

 -- Scott Kitterman <scott@kitterman.com>  Fri, 04 Sep 2015 10:42:07 -0400

khtml (5.13.0-2) unstable; urgency=medium

  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Sep 2015 19:20:41 +0200

khtml (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Sep 2015 10:43:30 +0200

khtml (5.12.0-1) unstable; urgency=medium

  * Update symbols files from buildds logs (5.11.0-1).
  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               kio-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
                libgif-dev,
                libjpeg-dev,
-               libkf5archive-dev (>= 5.15.0~),
-               libkf5codecs-dev (>= 5.15.0~),
-               libkf5globalaccel-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5kjs-dev (>= 5.15.0~),
-               libkf5notifications-dev (>= 5.15.0~),
-               libkf5parts-dev (>= 5.15.0~),
-               libkf5sonnet-dev (>= 5.15.0~),
-               libkf5textwidgets-dev (>= 5.15.0~),
-               libkf5wallet-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
-               libkf5windowsystem-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+               libkf5archive-dev (>= 5.18.0~),
+               libkf5codecs-dev (>= 5.18.0~),
+               libkf5globalaccel-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5kjs-dev (>= 5.18.0~),
+               libkf5notifications-dev (>= 5.18.0~),
+               libkf5parts-dev (>= 5.18.0~),
+               libkf5sonnet-dev (>= 5.18.0~),
+               libkf5textwidgets-dev (>= 5.18.0~),
+               libkf5wallet-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                libphonon4qt5-dev (>= 4:4.6.0),
                libphonon4qt5experimental-dev (>= 4:4.6.0),
                libpng12-dev,
@@ -34,26 +34,25 @@
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/khtml
-XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/khtml.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/khtml.git
 
 Package: libkf5khtml-dev
 Section: libdevel
 Architecture: any
-Depends: kio-dev (>= 5.15.0~),
-         libkf5archive-dev (>= 5.15.0~),
-         libkf5globalaccel-dev (>= 5.15.0~),
-         libkf5i18n-dev (>= 5.15.0~),
-         libkf5iconthemes-dev (>= 5.15.0~),
+Depends: kio-dev (>= 5.16.0~),
+         libkf5archive-dev (>= 5.16.0~),
+         libkf5globalaccel-dev (>= 5.16.0~),
+         libkf5i18n-dev (>= 5.16.0~),
+         libkf5iconthemes-dev (>= 5.16.0~),
          libkf5khtml5 (= ${binary:Version}),
-         libkf5kjs-dev (>= 5.15.0~),
-         libkf5notifications-dev (>= 5.15.0~),
-         libkf5parts-dev (>= 5.15.0~),
-         libkf5sonnet-dev (>= 5.15.0~),
-         libkf5wallet-dev (>= 5.15.0~),
-         libkf5widgetsaddons-dev (>= 5.15.0~),
-         libkf5windowsystem-dev (>= 5.15.0~),
+         libkf5kjs-dev (>= 5.16.0~),
+         libkf5notifications-dev (>= 5.16.0~),
+         libkf5parts-dev (>= 5.16.0~),
+         libkf5sonnet-dev (>= 5.16.0~),
+         libkf5wallet-dev (>= 5.16.0~),
+         libkf5widgetsaddons-dev (>= 5.16.0~),
+         libkf5windowsystem-dev (>= 5.16.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: HTML widget and component

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,6 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5khtml5-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/portingAids/khtml-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/portingAids/khtml-([\d.]+)\.tar\.xz

## khtml 5.26.0

=== debian/changelog ===
khtml (5.26.0-0ubuntu1) yakkety; urgency=medium
  
  [ Rik Mills ]
  * New upstream release (5.26.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 22 Sep 2016 13:45:04 +0100

khtml (5.24.0-0ubuntu3) yakkety; urgency=medium

  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 22 Sep 2016 10:05:12 +0300

khtml (5.24.0-0ubuntu2) yakkety; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Mark as optional some symbols leaked from KJS in order to avoid
    build failures with GCC 6.

  [ Scarlett Clark ]
  * Release to archive. 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:41:14 +0000

khtml (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Rik Mills ]
  * Fix install file for libkf5khtml-data

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:41:14 +0000

khtml (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:12:31 +0200

khtml (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 12:35:40 -0700

khtml (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:04 +0100

khtml (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.18.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:42 +0100

khtml (5.16.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev build-dependency to libpng-dev, to ease libpng
    transition. (Closes: #810187)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 18:11:51 +0100

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               kio-dev (>= 5.26.0~),
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.26.0~),
               libkf5codecs-dev (>= 5.26.0~),
               libkf5globalaccel-dev (>= 5.26.0~),
               libkf5i18n-dev (>= 5.26.0~),
               libkf5iconthemes-dev (>= 5.26.0~),
               libkf5kjs-dev (>= 5.26.0~),
               libkf5notifications-dev (>= 5.26.0~),
               libkf5parts-dev (>= 5.26.0~),
               libkf5sonnet-dev (>= 5.26.0~),
               libkf5textwidgets-dev (>= 5.26.0~),
               libkf5wallet-dev (>= 5.26.0~),
               libkf5widgetsaddons-dev (>= 5.26.0~),
               libkf5windowsystem-dev (>= 5.26.0~),
               libkf5xmlgui-dev (>= 5.26.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.4),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: kio-dev (>= 5.26.0~),
         libkf5archive-dev (>= 5.26.0~),
         libkf5globalaccel-dev (>= 5.26.0~),
         libkf5i18n-dev (>= 5.26.0~),
         libkf5iconthemes-dev (>= 5.26.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kjs-dev (>= 5.26.0~),
         libkf5notifications-dev (>= 5.26.0~),
         libkf5parts-dev (>= 5.26.0~),
         libkf5sonnet-dev (>= 5.26.0~),
         libkf5wallet-dev (>= 5.26.0~),
         libkf5widgetsaddons-dev (>= 5.26.0~),
         libkf5windowsystem-dev (>= 5.26.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5-data
Replaces: libkf5khtml5-data
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

## khtml 5.28.0

=== debian/changelog ===
khtml (5.28.0-2) unstable; urgency=medium

  * Change libssl-dev build dependency to libssl1.0-dev to follow qt5.
    Thanks to Sebastian Andrzej Siewior for reporting and many others for the
    follow ups
    (Closes: 856004)
  * Add upstream patches for the java permission dialog:
    java-set-names-in-permission-dialog.patch
    java-apply-the-names-to-the-right-buttons.patch
  * Add new upstream patch:
    Error-page-correctly-load-the-image-with-a-real-URL.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Apr 2017 12:46:47 +0200

khtml (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.27.0-1).

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:08:04 +0100

khtml (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:10:51 +0200

khtml (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:03:57 +0200

khtml (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (5.23.0-1).
  * Update symbols file
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Make symbols files gcc 6 compatible.
    Thanks to Martin Michlmayr for the report (Closes: 811972)
  * Update install files
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 24 Aug 2016 16:05:06 +0200

khtml (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (5.22.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 23:49:33 +0200

khtml (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update copyright information
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 00:49:28 +0200

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               kio-dev (>= 5.26.0~),
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.28.0~),
               libkf5codecs-dev (>= 5.28.0~),
               libkf5globalaccel-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5kjs-dev (>= 5.28.0~),
               libkf5notifications-dev (>= 5.28.0~),
               libkf5parts-dev (>= 5.28.0~),
               libkf5sonnet-dev (>= 5.28.0~),
               libkf5textwidgets-dev (>= 5.28.0~),
               libkf5wallet-dev (>= 5.28.0~),
               libkf5widgetsaddons-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.28.0~),
               libkf5xmlgui-dev (>= 5.28.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.5.0~),
               libssl1.0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/khtml.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/khtml.git

Package: libkf5khtml-dev
Section: libdevel
Architecture: any
Depends: kio-dev (>= 5.26.0~),
         libkf5archive-dev (>= 5.28.0~),
         libkf5globalaccel-dev (>= 5.28.0~),
         libkf5i18n-dev (>= 5.28.0~),
         libkf5iconthemes-dev (>= 5.28.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kjs-dev (>= 5.28.0~),
         libkf5notifications-dev (>= 5.28.0~),
         libkf5parts-dev (>= 5.28.0~),
         libkf5sonnet-dev (>= 5.28.0~),
         libkf5wallet-dev (>= 5.28.0~),
         libkf5widgetsaddons-dev (>= 5.28.0~),
         libkf5windowsystem-dev (>= 5.28.0~),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.
Breaks: libkf5kdelibs4support-dev (<< 5.28)

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5-data
Replaces: libkf5khtml5-data
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), openbox
Restrictions: rw-build-tree

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## khtml 5.31.0

=== debian/changelog ===
khtml (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Use the build-needed restriction instead of rebuilding the package
    instead of rebuilding the package in debian/tests/testuite.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:54:04 +0000

khtml (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)
  * Update symbols from build logs & remove missing

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:38:02 +0000

khtml (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:20:50 +0000

=== debian/control ===
Source: khtml
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5kjs-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev (>= 4:4.6.0),
               libphonon4qt5experimental-dev (>= 4:4.6.0),
               libpng-dev,
               libqt5x11extras5-dev (>= 5.6.1~),
               libssl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/khtml
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khtml

Package: libkf5khtml-dev
Architecture: any
Section: libdevel
Depends: libkf5archive-dev (>= 5.31.0~),
         libkf5globalaccel-dev (>= 5.31.0~),
         libkf5i18n-dev (>= 5.31.0~),
         libkf5iconthemes-dev (>= 5.31.0~),
         libkf5khtml5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.31.0~),
         libkf5kjs-dev (>= 5.31.0~),
         libkf5notifications-dev (>= 5.31.0~),
         libkf5parts-dev (>= 5.31.0~),
         libkf5sonnet-dev (>= 5.31.0~),
         libkf5wallet-dev (>= 5.31.0~),
         libkf5widgetsaddons-dev (>= 5.31.0~),
         libkf5windowsystem-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 Contains development files for khtml.

Package: libkf5khtml-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5khtml5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa3)
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the runtime files.

Package: libkf5khtml5
Architecture: any
Multi-Arch: same
Depends: libkf5khtml-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5khtml-bin (= ${binary:Version})
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.

Package: libkf5khtml-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5khtml5-data
Replaces: libkf5khtml5-data
Description: HTML widget and component
 KHTML is a web rendering engine, based on the KParts technology and
 using KJS for JavaScript support.
 .
 This package contains the translations and data files.
